# Installing Red

This guide will explain how to create an instance of [Red-DiscordBot]() (referred to as 'Red') on a Pterodactyl panel.

Running the bot on Pterodactyl is not required to use the Pterodactyl cog. If you already have a working instance of Red, you should look at [Getting Started](getting-started.md).

/// admonition | Caveats
    type: warning
There are a few caveats to running an instance of Red on Pterodactyl.

- You will not receive any support from the Red developers.
- The built-in Audio cog will not work.
- Depending on your host, you might have to request a [`tmpfs` size increase](https://github.com/pelican-eggs/eggs/tree/master/bots/discord/redbot#additional-requirements).

If these are unacceptable to you, you should [install Red normally](https://docs.discord.red/en/stable/install_guides/index.html).
///

/// admonition | Requirements
    type: info
- A Discord bot token (see [Creating a bot account](https://docs.discord.red/en/stable/bot_application_guide.html))
- A panel host with the [Red-DiscordBot Pterodactyl egg](https://github.com/ign-gg/Pterodactyl-Eggs/tree/master/bots/discord/redbot)
- A panel with support for server splitting, like [Bloom.host](https://bloom.host/)'s DuckPanel.
///

## Creating a Server Split

1. Navigate to your host's server split option.
2. Select `Discord Bots` in the `Server Category` dropdown
3. Select `Red` in the `Server Type` dropdown
4. Allocate 1gb of RAM to Red. You can get away with less, but for the purposes of this guide we'll be using 1gb.
5. Allocate 5gb of storage space to Red.
6. Click the `Split Server` button. The installation process will take a few minutes, once it's done, continue to the next section.

![server-split-img](../img/pterodactyl/installing-red/1.png)

## Configuring Startup Variables

1. Navigate to the `Startup` page of your new server split.
2. Enter in your bot token.
3. If you want to change the default prefix that the bot will respond to, do so here.
4. If you want to change the owner of the bot, you can do so here. This defaults to the owner of the application the bot user is from.

![server-startup-img](../img/pterodactyl/installing-red/2.png)

## Inviting the Bot

1. Navigate to the `Console` page of your server split.
2. Click the `Start` button.
3. Click the Invite URL in your console, once the bot starts.

![console-img](../img/pterodactyl/installing-red/3.png)

## Initial Setup

Red is quite a large bot, so I'll focus on the specifics of getting the bot working with my Pterodactyl cog specifically.

/// admonition | `[p]` is your bot's prefix
    type: tip
///

1. Load the `Downloader` cog.
```bash
[p]load downloader
```
2. Add my repository to the bot
```bash
[p]repo add sea-cogs https://www.coastalcommits.com/cswimr/SeaCogs
```
3. Install and load the Pterodactyl cog
```bash
[p]cog install sea-cogs pterodactyl
[p]load pterodactyl
```
4. Follow the instructions given in [Getting Started](getting-started.md)
